### Function Macro

# GObject VALUE_HOLDS

since: 2.0

#### Declaration

    #define G_VALUE_HOLDS (
      value,
      type
    )

#### Description

Checks if `value` holds (or contains) a value of `type`. This macro will also check for `value` != `NULL` and issue a warning if the check fails.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `-`

  A `GValue` structure.

`type`

  Type: `-`

  A `GType` value.